# gitamine

gitamine is a modern graphical user interface for Git. It is open-source, multiplatform and easy to use.

The main features of gitamine are:

* Beautiful and readable commit graph
* Syntax highlighting
* Themeable (light and dark modes available)
* Automatic refresh
* No account required and no telemetry

gitamine is powered by awesome technologies including:

* [TypeScript](https://www.typescriptlang.org/)
* [Node.js](https://nodejs.org/)
* [Electron](https://electronjs.org/)
* [React](https://reactjs.org/)
* [Monaco](https://github.com/Microsoft/monaco-editor)
* [libgit2](https://libgit2.org/) and [NodeGit](https://www.nodegit.org/)
* [chokidar](https://github.com/paulmillr/chokidar)

## Downloads

You can download the latest version of gitamine [here](https://github.com/pvigier/gitamine/releases/latest).

See this [page](https://github.com/pvigier/gitamine/wiki/How-to-install) for detailed instruction on how to install gitamine.

## Contributing

Here are some ways, you can contribute to gitamine:

* Found a bug, please create an issue, I will try to fix it as quickly as possible.
* Want to fix an issue or add a feature yourself, do a pull request.
* If you are a designer, gitamine needs an application icon and some icons for the user interface, you are more than welcome.
* If you want to become an active maintainer, please contact me.

## Screenshots

![Screenshot of graph viewer](https://user-images.githubusercontent.com/934316/53720250-8b845980-3e60-11e9-88fd-24a957062dc4.png)
![Screenshot of patch viewer](https://user-images.githubusercontent.com/934316/53720255-8c1cf000-3e60-11e9-9caa-86333eb22575.png)

## License

gitamine is distributed under the [GNU GENERAL PUBLIC LICENSE version 3](https://www.gnu.org/licenses/gpl-3.0.en.html).

You are free to use gitamine for non-commercial and commercial projects without any restriction.
